package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 优惠券领取使用方式枚举
 * @Author 纪寒
 * @Date 2023-02-24 11:09:31
 * @Version 1.0
 */
@Getter
public enum CouponReceiveTypeEnum {
    /**
     * 新人福利
     */
    NEW_PEOPLE_WELFARE("NEW_PEOPLE_WELFARE"),

    /**
     * 活动赠送
     */
    EVENT_GIFT("EVENT_GIFT"),

    /**
     * 消费返券
     */
    CONSUME_REBATE("CONSUME_REBATE"),
    ;

    final private String info;

    CouponReceiveTypeEnum(String info) {
        this.info = info;
    }
}
